%global momorel 1
%global artsver 1.5.6
%global artsrel 2m
%global qtver 3.3.7
%global kdever 3.5.6
%global kdelibsrel 6m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0
%global md5sum_src0 1f5fe57384d912c11fbd0fae94bb7fca

Summary: A powerfull batch renamer for KDE
Name: krename
Version: 3.0.14
Release: %{momorel}m%{?dist}
License: GPL
URL: http://www.krename.net/
Group: User Interface/X
%NoSource 0 http://dl.sourceforge.net/sourceforge/krename/%{name}-%{version}.tar.bz2 %{md5sum_src0}
Patch0: %{name}-3.0.13-desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: arts-devel >= %{artsver}-%{artsrel}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: libart_lgpl-devel
BuildPreReq: libjpeg-devel
BuildPreReq: libpng-devel
BuildPreReq: zlib-devel
BuildPreReq: gettext

%description
Krename is a very powerful batch file renamer for KDE3 which can rename
a list of files based on a set of expressions. It can copy/move the files
to another directory or simply rename the input files.
Krename supports many conversion operations, including conversion of a 
filename to lowercase or to uppercase, conversion of the first letter
of every word to uppercase, adding numbers to filenames, finding and
replacing parts of the filename, and many more.
It can also change access and modification dates, permissions, and file
ownership.

%prep
%setup -q

%patch0 -p1 -b .desktop~

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qtdir}/lib \
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# GNOME desktop beautification (requires "Icon=name.png" fix in setup section)
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/48x48/apps/krename.png %{buildroot}%{_datadir}/pixmaps/krename.png

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL README TODO
%{_bindir}/krename
%{_datadir}/applications/kde/krename.desktop
%{_datadir}/apps/konqueror/servicemenus/*.desktop
%{_datadir}/apps/krename
%{_datadir}/doc/HTML/*/krename
%{_datadir}/icons/*/*/apps/krename.png
%{_datadir}/locale/*/LC_MESSAGES/krename.mo
%{_datadir}/pixmaps/krename.png

%changelog
* Mon Mar 26 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.0.14-1m)
- version 3.0.14

* Mon Mar 12 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.0.13-2m)
- update desktop.patch (add Japanese message to krenameservicemenu.desktop)

* Fri Dec 22 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.0.13-1m)
- version 3.0.13

* Sat Sep 16 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.0.12-1m)
- version 3.0.12
- update desktop.patch
- good-bye desktop-file-utils

* Sat Sep  9 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.0.11-3m)
- rebuild against arts-1.5.4-2m kdelibs-3.5.4-3m

* Wed Apr 12 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.0.11-2m)
- add X-KDE-Utilities-File to Categories of krename.desktop

* Wed Mar  1 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.0.11-1m)
- initial package for Momonga Linux (thanks, JW)
